2

I tried installing Avidemux 2.6.20 on my Ubuntu 17.04 Zesty Zapus by following the instructions at TipsOnUbuntu, but the Terminal gives me the following response:

XXXXs@pop-os:~$ sudo apt update && sudo apt install avidemux2.6-qt
Hit:2 http://fi.archive.ubuntu.com/ubuntu zesty InRelease                      
Get:4 http://fi.archive.ubuntu.com/ubuntu zesty-updates InRelease [89,2 kB]    
Hit:5 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu zesty InRelease           
Get:6 http://security.ubuntu.com/ubuntu zesty-security InRelease [89,2 kB]     
Hit:1 http://screenshots.getdeb.net zesty-getdeb InRelease                     
Hit:7 http://ppa.launchpad.net/system76-dev/stable/ubuntu zesty InRelease      
Hit:8 https://deb.opera.com/opera-stable stable InRelease                      
Get:3 http://screenshots.getdeb.net xenial-getdeb InRelease [9 604 B]          
Get:9 http://fi.archive.ubuntu.com/ubuntu zesty-backports InRelease [89,2 kB]  
Hit:10 http://ppa.launchpad.net/system76/pop/ubuntu zesty InRelease            
Get:11 http://screenshots.getdeb.net xenial-getdeb/apps amd64 Packages [66,5 kB]
Hit:12 http://repository.spotify.com stable InRelease                          
Get:13 http://screenshots.getdeb.net xenial-getdeb/apps i386 Packages [67,2 kB]
Get:14 http://fi.archive.ubuntu.com/ubuntu zesty-proposed InRelease [240 kB]   
Fetched 651 kB in 4s (162 kB/s)     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  avidemux2.6-common avidemux2.6-jobs avidemux2.6-plugins-common
  avidemux2.6-plugins-qt lame libaften0 libavidemux2.6 libfaac0
  liblavfile-2.1-0 liblavjpeg-2.1-0 liblavplay-2.1-0 libqt5opengl5
  libquicktime2 mjpegtools mjpegtools-gtk twolame
The following NEW packages will be installed:
  avidemux2.6-common avidemux2.6-jobs avidemux2.6-plugins-common
  avidemux2.6-plugins-qt avidemux2.6-qt lame libaften0 libavidemux2.6 libfaac0
  liblavfile-2.1-0 liblavjpeg-2.1-0 liblavplay-2.1-0 libqt5opengl5
  libquicktime2 mjpegtools mjpegtools-gtk twolame
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 5 480 kB/7 525 kB of archives.
After this operation, 27,6 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Err:2 http://archive.getdeb.net/ubuntu zesty-getdeb/apps amd64 avidemux2.6-plugins-common amd64 1:2.7.0-1~getdeb2~zesty
  Error reading from server. Remote end closed connection
Get:1 http://ftp.heanet.ie/pub/www.getdeb.net/getdeb/ubuntu zesty-getdeb/apps amd64 libavidemux2.6 amd64 1:2.7.0-1~getdeb2~zesty [3 064 kB]
Get:3 http://ftp.acc.umu.se/mirror/getdeb.net/ubuntu zesty-getdeb/apps amd64 avidemux2.6-qt amd64 1:2.7.0-1~getdeb2~zesty [1 423 kB]
Fetched 4 487 kB in 1min 6s (67,5 kB/s)                                        
E: Failed to fetch http://archive.getdeb.net/ubuntu/pool/apps/a/avidemux2.6/avidemux2.6-plugins-common_2.7.0-1~getdeb2~zesty_amd64.deb  Error reading from server. Remote end closed connection
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
XXXXs@pop-os:~$ 

I have no idea why it gives me such error messages. Any ideas how to fix this...? :-(

  • It's quite simple, the server is down. – user692175 Aug 28 '17 at 23:07
2

Besides we hear sometimes that Avidemux is dead, it's possible to install it yet. I like it very much, and I successfully installed it in my 17.04 box right now.

  1. Download the following file: https://sourceforge.net/projects/avidemux/files/avidemux/2.6.20/avidemux_2.6.20.tar.gz/download
  2. sudo tar -zvxf "into a folder of your preference" (I suggest /tmp)
  3. sudo apt install libsqlite3-dev qttools5-dev-tools build-essential cmake pkg-config zlib1g-dev zlib1g-dbg yasm qt4-qmake libqt4-dev

  4. cd /tmp/avidemux_2.6.20

  5. sudo bash bootStrap.bash *** it will delay a bit ****
  6. sudo cp -R install/usr/* /usr/
  7. gedit ~/Desktop/avidemux.desktop (and put this within it):
[Desktop Entry]
Version=2.6.20
Type=Application
Terminal=false
Exec=/usr/bin/avidemux3_qt4
Name=Avidemux3
Comment=<comments>
Icon=icon path here

Finally,

chmod +r ~/Desktop/avidemux.desktop
  • 1
    Jayaguru-Shishya, have you tried install Avidemux after my answer? – Redbob Sep 6 '17 at 15:16
  • 1
    Hi there, and sorry for my most late response! I downloaded the file avidemux_2.6.20.tar.gz from the link you gave me to ~/Downloads. After that, I tried to run the commands through Terminal, which resulted into the following. First, XXXXs@XXXXs:~$ sudo tar -zvxg "/tmp" tar: Refusing to read archive contents from terminal (missing -f option?) tar: Error is not recoverable: exiting now. – Jayaguru-Shishya Dec 2 '17 at 17:20
  • 1
    You forgot to Target you file. Type sudo tar -zvxf <file name you downloaded> – Redbob Dec 2 '17 at 17:50
  • 1
    I had to reinstall avidemux, so I followed my own instructions... The item 5 was not correct (sorry!!). the correct is sudo bash bootStrap.bash (I fixed there yet). It worked very welll!... :-) – Redbob Dec 3 '17 at 0:07
  • 1
    Try to sudo cp ~/desktop/avidemux.desktop /usr/share/applications, it will be shown in menu, and in dash, too. – Redbob Dec 27 '17 at 18:12
1

The server at http://archive.getdeb.net is getting a 526 error, invalid SSL certificate. Until they resolve this problem at the server end, you won't be able to get this file.

  • Thanks for your reply! That's a pity, I guess there's nothing much to do than wait. Meanwhile, I might have a look at some other alternatives listed in another thread. Thanks still! – Jayaguru-Shishya Aug 29 '17 at 1:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.